<?php

/* Подключение функций процедурного PDO */
require_once __DIR__ . '/inc/PDO_Procedural.php';


/* Установка соединения с базой данных MySQL */
$link = pdo_mysql_connect('localhost', 'my_user', 'my_password', 'world');

/* Проверка соединения */
if (!$link)
{
	die('Не удалось подключиться.');
}

/* Создание таблицы не возвращает результирующего набора */
if (pdo_query('CREATE TEMPORARY TABLE `myCity` LIKE `City`', null, $link) === true)
{
    echo 'Таблица myCity успешно создана.';
}

/* Select запросы возвращают результирующий набор */
if ($result = pdo_query('SELECT `Name` FROM `City` LIMIT 10', null, $link))
{
    echo 'Select вернул ' . pdo_num_rows($result) .' строк.';

    /* очищаем результирующий набор */
    pdo_free_result($result);
}

/* Select запросы возвращают результирующий набор */
if ($result = pdo_query('SELECT `Name` FROM `City` LIMIT 10'))
{
    echo 'Select вернул ' . pdo_num_rows($result) .' строк.';

    /* очищаем результирующий набор */
    pdo_free_result($result);
}

/* Insert запрос №1 */
if (pdo_query('INSERT INTO `City` SET `Name` = "Sydney"'))
{
	echo 'ID последней добавленной записи: ' . pdo_insert_id($link);
}

/* Insert запрос №2, экранирование */
if (pdo_query('INSERT INTO `City` SET `Name` = "' . pdo_res('Sydney') . '"'))
{
	echo 'ID последней добавленной записи: ' . pdo_insert_id($link);
}

/* Insert запрос №3, подготовка и выполнение */
if (pdo_query('INSERT INTO `City` SET `Name` = ?', array('Sydney')))
{
	echo 'ID последней добавленной записи: ' . pdo_insert_id($link);
}

/* Вывод записей из базы */
$result = pdo_query('SELECT * FROM `City` LIMIT 10');
while ($row = pdo_fetch($result))
{
	echo '<div>' . $row['Name'] . '<div>'."\n";
}

/* Закрытие соединения с базой данных */
pdo_close($link);

?>